import request from "@/utils/request";

//地层序列图
export function getDcxlt(query) {
  return request({
    url: "/dcxl/dzdcxl/dcylt",
    method: "get",
    params: query,
  });
}
// 查询地层序列列表
export function listStratumData(query) {
  return request({
    url: "/dcxl/dzdcxl/list",
    method: "get",
    params: query,
  });
}

// 查询地层序列单条
export function getStratum(id) {
  return request({
    url: "/dcxl/dzdcxl/" + id,
    method: "get",
  });
}

// 新增地层序列
export function addStratum(data) {
  return request({
    url: "/dcxl/dzdcxl",
    method: "post",
    data: data,
  });
}

// 修改地层序列
export function updateStratum(data) {
  return request({
    url: "/dcxl/dzdcxl",
    method: "put",
    data: data,
  });
}

// 删除地层序列
export function delStratum(id) {
  return request({
    url: "/dcxl/dzdcxl/" + id,
    method: "delete",
  });
}

// 孔隙压力系数
// 查询孔隙压力系数列表
export function listPoreData(query) {
  return request({
    url: "/dcxl/dzkxylxs/list",
    method: "get",
    params: query,
  });
}

// 查询孔隙压力系数单条
export function getPore(id) {
  return request({
    url: "/dcxl/dzkxylxs/" + id,
    method: "get",
  });
}

// 新增孔隙压力系数
export function addPore(data) {
  return request({
    url: "/dcxl/dzkxylxs",
    method: "post",
    data: data,
  });
}

// 修改孔隙压力系数
export function updatePore(data) {
  return request({
    url: "/dcxl/dzkxylxs",
    method: "put",
    data: data,
  });
}

// 删除孔隙压力系数
export function delPore(id) {
  return request({
    url: "/dcxl/dzkxylxs/" + id,
    method: "delete",
  });
}

// 标识特殊岩性层
// 查询标识特殊岩性层列表
export function listSpecialData(query) {
  return request({
    url: "/dcxl/dztsyxc/list",
    method: "get",
    params: query,
  });
}

// 查询标识特殊岩性层单条
export function getSpecial(id) {
  return request({
    url: "/dcxl/dztsyxc/" + id,
    method: "get",
  });
}

// 新增标识特殊岩性层
export function addSpecial(data) {
  return request({
    url: "/dcxl/dztsyxc",
    method: "post",
    data: data,
  });
}

// 修改标识特殊岩性层
export function updateSpecial(data) {
  return request({
    url: "/dcxl/dztsyxc",
    method: "put",
    data: data,
  });
}

// 删除标识特殊岩性层
export function delSpecial(id) {
  return request({
    url: "/dcxl/dztsyxc/" + id,
    method: "delete",
  });
}

/******地温分布 */
//地温分布
//地温分布图
export function getDwfbt(query) {
  return request({
    url: "/jt/jtDzdwdyScjg/dwfbt",
    method: "get",
    params: query,
  });
}
// 查询地温分布单条
export function getGroundTemperature(id) {
  return request({
    url: "/jt/jtDzdwdy/dwxx/" + id,
    method: "get",
  });
}

// 新增地温分布
export function addGroundTemperature(data) {
  return request({
    url: "/jt/jtDzdwdy",
    method: "post",
    data: data,
  });
}

// 修改地温分布
export function updateGroundTemperature(data) {
  return request({
    url: "/jt/jtDzdwdy",
    method: "put",
    data: data,
  });
}

//分布定义
// 查询分布定义列表
export function listDistribution(query) {
  return request({
    url: "/jt/jtDzdwdyDbdy/list",
    method: "get",
    params: query,
  });
}

// 新增分布定义
export function addDistribution(data) {
  return request({
    url: "/jt/jtDzdwdyDbdy",
    method: "post",
    data: data,
  });
}

// 修改分布定义
export function updateDistribution(data) {
  return request({
    url: "/jt/jtDzdwdyDbdy",
    method: "put",
    data: data,
  });
}

// 删除分布定义
export function delDistribution(id) {
  return request({
    url: "/jt/jtDzdwdyDbdy/" + id,
    method: "delete",
  });
}

//输出结果

// 查询输出结果列表
export function listRes(query) {
  return request({
    url: "/jt/jtDzdwdyScjg/list",
    method: "get",
    params: query,
  });
}

// export function listRes (id) {
//   return request({
//     url: '/jt/jtDzdwdyScjg/list' + id,
//     method: 'get'
//   })
// }

// 新增输出结果
export function addRes(data) {
  return request({
    url: "/jt/jtDzdwdyScjg",
    method: "post",
    data: data,
  });
}

// 修改输出结果
export function updateRes(data) {
  return request({
    url: "/jt/jtDzdwdyScjg",
    method: "put",
    data: data,
  });
}

// 删除分布定义
export function delRes(id) {
  return request({
    url: "/jt/jtDzdwdyScjg/" + id,
    method: "delete",
  });
}
//计算参数
//  根据jh查询
export function listjsjh(jh) {
  return request({
    url: "/system/cjsjZhxs/" + jh,
    method: "get",
  });
}
// 新增输出结果
export function addJscs(data) {
  return request({
    url: "/system/cjsjZhxs",
    method: "post",
    data: data,
  });
}

// 修改输出结果
export function updateJscs(data) {
  return request({
    url: "/system/cjsjZhxs",
    method: "post",
    data: data,
  });
}
//计算接口
export function getJs(query) {
  return request({
    url: "/system/cjsjLas/js",
    method: "get",
    params: query,
  });
}
//计算层位斜深接口
export function getJscwxs(query) {
  return request({
    url: "/system/jsbbPdc/jsxs",
    method: "get",
    params: query,
  });
}
